TriggerColors = {}
TriggerColors.version = '1.1'

--## Choco ##--

--replaces blue highlight with custom highlight based on assigned trigger(s)
local function set_colored_highlights()
	local group_ids = {GetActiveShipSelectedWeaponGroupIDs()} --active weapon group ids
	local trigger_strs = {} --table of portids and string of triggers it is assigned to (e.g '13' if assigned to primary and tertiary)
	
	--populate trigger_strs table
	for n=1,3 do --each trigger	
		for portid,_ in pairs(GetActiveShipWeaponGroup(group_ids[n]) or {}) do --each addon for this trigger
			trigger_strs[portid] = trigger_strs[portid] and trigger_strs[portid]..n or tostring(n) --create or append to string of triggers this addon is assigned to
		end
	end
	
	--set highlight color based on which trigger(s) each addon is assined to
	for portid,triggers in pairs(trigger_strs) do
		if HUD.addonlist[portid] then HUD.addonlist[portid].highlight.image = "plugins/TriggerColors/img/fire"..triggers..".png" end --use custom image for addon highlight
	end	
end

function TriggerColors:PLAYER_ENTERED_GAME(event, data)
	local set_highlights_old = HUD.SetWeaponGroupHighlights --save reference to original function
	function HUD.SetWeaponGroupHighlights(...) --override existing function
		local ret = set_highlights_old(...) --call original function: this will toggle highlights to correct visibility
		
		set_colored_highlights()
		
		return  ret --preserve original return values if any
	end
end

RegisterEvent(TriggerColors, "PLAYER_ENTERED_GAME")